com.holonplatform.vaadin.flow.components.builders

## Interface ValidatableLocalTimeInputBuilder

- All Superinterfaces:
    BaseValidatableInputBuilder<LocalTime,ValidatableInput<LocalTime>,ValidatableLocalTimeInputBuilder>, ComponentConfigurator<ValidatableLocalTimeInputBuilder>, DeferrableLocalizationConfigurator<ValidatableLocalTimeInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,ValidatableLocalTimeInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<ValidatableLocalTimeInputBuilder>, HasEnabledConfigurator<ValidatableLocalTimeInputBuilder>, HasLabelConfigurator<ValidatableLocalTimeInputBuilder>, HasPlaceholderConfigurator<ValidatableLocalTimeInputBuilder>, HasSizeConfigurator<ValidatableLocalTimeInputBuilder>, HasStyleConfigurator<ValidatableLocalTimeInputBuilder>, HasTitleConfigurator<ValidatableLocalTimeInputBuilder>, InputConfigurator<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,ValidatableLocalTimeInputBuilder>, InputValueConfigurator<LocalTime,ValueHolder.ValueChangeEvent<LocalTime>,ValidatableLocalTimeInputBuilder>, LocalTimeInputConfigurator<ValidatableLocalTimeInputBuilder>, ValidatableInputConfigurator<LocalTime,ValidatableInput<LocalTime>,ValidatableLocalTimeInputBuilder>

      public interface ValidatableLocalTimeInputBuilder
      extends LocalTimeInputConfigurator<ValidatableLocalTimeInputBuilder>, BaseValidatableInputBuilder<LocalTime,ValidatableInput<LocalTime>,ValidatableLocalTimeInputBuilder>

  Validatable `LocalTime` type `Input` builder.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.LocalTimeInputConfigurator

      `locale, step`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseValidatableInputBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ValidatableInputConfigurator

      `required, required, required, required, required, validateOnValueChange, validationStatusHandler, withValidator`

Copyright © 2020 The Holon Platform. All rights reserved.